#! /bin/sh
#
# Script to start Simpledit. (Parts are copied from jakarta-ant
# startup script.)
#
# Maybe you have to set SWING_HOME if using jdk 1.1 (see below).

if [ "$SIMPLEDIT_HOME" = "" ] ; then
  # try to find SIMPLEDIT_HOME

  ## resolve links - $0 may be a link to Simpledit's home
  PRG=$0
  progname=`basename $0`

  while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '.*-> \(.*\)$'`
    if expr "$link" : '/.*' > /dev/null; then
      PRG="$link"
    else
      PRG="`dirname $PRG`/$link"
    fi
  done

  SIMPLEDIT_HOME=`dirname "$PRG"`/..
fi

JAVA_HOME=`which java 2>/dev/null || whence java`
JAVA_HOME=`dirname "$JAVA_HOME"`/..

if [ "$SWING_HOME" = "" ] ; then
  SWING_HOME=${JAVA_HOME}/../swing-1.1.1fcs
fi

CLASSPATH=${SIMPLEDIT_HOME}/classes
CLASSPATH=${CLASSPATH}:${SIMPLEDIT_HOME}/lib/simpledit.jar
# in case jdk 1.1 is used these archives are needed
# otherwise they don't do any harm
CLASSPATH=${CLASSPATH}:${JAVA_HOME}/lib/classes.zip
CLASSPATH=${CLASSPATH}:${SWING_HOME}/swingall.jar
CLASSPATH=${CLASSPATH}:${SIMPLEDIT_HOME}/lib/ccl.jar
CLASSPATH=${CLASSPATH}:${SIMPLEDIT_HOME}/lib/jhbasic.jar

$JAVA_HOME/bin/java -classpath $CLASSPATH com.kclee.simpledit.Main $@
