<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp   "&#160;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet
   version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method  ="html"
              encoding="iso-8859-1"
              indent  ="no"/>
  <xsl:strip-space elements="*"/>


  <xsl:template match="/">
    <xsl:variable name="project"><xsl:value-of select="String:toLowerCase(String:new(project/name))" xmlns:String="xalan://java.lang.String"/></xsl:variable>
    <html>
      <head>
        <title><xsl:value-of select="project/name"/></title>
      </head>
      <body bgcolor="#ffffff" fgcolor="#000000" link="#82a6c6" vlink="#546069"> <!--  link="#92a6b6" link="#697783" -->
        <table border="0">
          <tr>
            <td colspan="2"><xsl:call-template name="br"/><center><img src="images/{$project}.png" alt="SimplEdit" width="256" height="87"/></center><xsl:call-template name="br"/></td>
          </tr>
          <tr>
            <td valign="TOP"><a href="#features"><img src="images/features.png" border="0" alt="Features"/></a><br /><a href="#requirements"><img src="images/requirements.png" border="0" alt="Requirements" width="195" height="52"/></a><br /><a href="#download"><img src="images/download.png" border="0" alt="Download" width="164" height="45"/></a><br /><a href="#installation"><img src="images/installation.png" border="0" alt="Installation" width="179" height="45"/></a><br /><a href="#release"><img src="images/release.png" border="0" alt="Release History" width="231" height="52"/></a><br /><a href="#links"><img src="images/links.png" border="0" alt="Links" width="99" height="46"/></a><br /><a href="#contact"><img src="images/contact.png" border="0" alt="Contact" width="121" height="47"/></a><br /></td>
            <td>
              <xsl:apply-templates select="project/description"/>
              <xsl:call-template name="p"/>
              <xsl:text>You can always find the newest version of this page at: </xsl:text>
              <a>
                <xsl:variable name="homeurl">
                  <xsl:text>http://www.kclee.com/clemens/</xsl:text>
                  <xsl:value-of select="project/home"/>
                </xsl:variable>
                <xsl:attribute name="href">
                  <xsl:value-of select="$homeurl"/>
                </xsl:attribute>
                <xsl:value-of select="$homeurl"/>
              </a>
              <xsl:call-template name="p"/>

              <a name="features" /><img src="images/features.png" alt="Features" width="140" height="50"/>
              <ul>
                <xsl:apply-templates select="project/features/feature"/>
              </ul>
              <a name="requirements" /><img src="images/requirements.png" alt="Requirements" width="195" height="52"/>
              <ul>
                <xsl:apply-templates select="project/requirements/requirement"/>
              </ul>
              <a name="download" /><img src="images/download.png" alt="Download" width="164" height="45"/><xsl:call-template name="p"/>
              <xsl:variable name="filename">
                <xsl:value-of select="$project"/><xsl:value-of select="project/version[position()=1]/version"/><xsl:text>.</xsl:text><xsl:value-of select="project/version[position()=1]/release"/><xsl:text>.zip</xsl:text>
              </xsl:variable>
              <a>
                <xsl:attribute name="href">
                  <xsl:value-of select="$filename"/>
                </xsl:attribute>
                <xsl:value-of select="project/name"/>
                <xsl:text> Version </xsl:text>
                <xsl:value-of select="project/version[position()=1]/version"/>
                <xsl:text>.</xsl:text>
                <xsl:value-of select="project/version[position()=1]/release"/>
              </a>
              <xsl:text> &nbsp;&nbsp;(</xsl:text>
              <font size="-1">
                <xsl:variable name="currentDir" select="System:getProperty('user.dir')" xmlns:System="xalan://java.lang.System"/>
                <xsl:variable name="fullfilename" select="FileUtil:concatPath($currentDir,$filename)" xmlns:FileUtil="xalan://ccl.util.FileUtil"/>
                <xsl:value-of select="File:length(File:new($fullfilename))" xmlns:File="xalan://java.io.File"/>
                <xsl:text> bytes)</xsl:text>
              </font>
              <xsl:call-template name="p"/>
              <xsl:value-of select="project/name"/> is distributed under the GNU General Public License version 2.
              <xsl:call-template name="p"/>
              <a name="installation" /><img src="images/installation.png" alt="Installation" width="179" height="45"/>
              <ol>
                <xsl:apply-templates select="project/installation/step"/>
              </ol>
              <a name="release" /><img src="images/release.png" alt="Release History" width="231" height="52"/>
              <xsl:call-template name="p"/>
              Version <xsl:value-of select="project/version[position()=1]/version"/>.<xsl:value-of select="project/version[position()=1]/release"/> has been released on 
              <xsl:value-of select="Util:getMonth(project/version[position()=1]/date)" xmlns:Util="xalan://ccl.util.Util"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="Util:itoa(Util:atoi(substring(project/version[position()=1]/date, 9)))" xmlns:Util="xalan://ccl.util.Util"/>
              <xsl:text>, </xsl:text>
              <xsl:value-of select="substring(project/version[position()=1]/date, 1, 4)"/>
              <xsl:call-template name="p"/>
              <!--

              <xsl:value-of select="project/version[position()=1]/changes"/>
              <xsl:call-template name="p"/>

              <xsl:apply-templates select="project/version[position()=1]/new"/>
              <xsl:call-template name="p"/>
              <xsl:apply-templates select="project/version[position()=1]/bugs"/>
              <xsl:call-template name="p"/>

              The complete release history is on its own page: 
              <a>
                <xsl:attribute name="href">releases.html</xsl:attribute>
                <xsl:value-of select="project/name"/>
                <xsl:text> Release History</xsl:text>
              </a>
              <xsl:call-template name="p"/>

              <a name="credits" /><img src="images/credits.png" alt="Credits" width="109" height="47"/>
              <xsl:call-template name="p"/>

              Thanks to the following people for their shared code, ideas, experience, bug reports, or feedback:
              <ul>
                <xsl:apply-templates select="project/credits/credit"/>
              </ul>
              -->
              <a name="links" /><img src="images/links.png" alt="Links" width="99" height="46"/>
              <xsl:call-template name="br"/>
              <dl>
                <xsl:apply-templates select="project/links/link" mode="links"/>
              </dl>
            </td>

          </tr>
        </table>

        <xsl:call-template name="br"/>
Go back to <a href="../index.html">my Java page</a>.
<xsl:text disable-output-escaping="yes">&lt;br&gt;</xsl:text>&nbsp;<xsl:text disable-output-escaping="yes">&lt;br&gt;</xsl:text>
<HR WIDTH="100%%" />
<a name="contact" /><A HREF="http://www.kclee.com/clemens/">Chr.
Clemens Lee</A>, email: <i><A HREF="mailto:clemens@kclee.com">clemens@kclee.com</A></i> &nbsp; (my <a href="http://www.kclee.com/clemens/resume/">resume</a>) &nbsp; last revised: <xsl:value-of select="/project/updated"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="feature|requirement|step|credit|bug">
    <li><xsl:apply-templates/></li>
  </xsl:template>
  
  <xsl:template match="i">
    <i><xsl:apply-templates/></i>
  </xsl:template>

  <xsl:template match="tt">
    <tt><xsl:apply-templates/></tt>
  </xsl:template>

  <xsl:template match="pre">
    <blockquote><pre><xsl:apply-templates/></pre></blockquote>
  </xsl:template>

  <xsl:template match="p" name="p">
        <xsl:text disable-output-escaping="yes">&lt;p&gt;

</xsl:text>
  </xsl:template>

  <xsl:template match="br" name="br">
    <xsl:text disable-output-escaping="yes">&lt;br&gt;
</xsl:text>
  </xsl:template>

  <xsl:template match="projectname">
    <xsl:value-of select="/project/name"/>
  </xsl:template>

  <xsl:template match="zipfile">
    <xsl:call-template name="projectdir"/>
    <xsl:text>.zip</xsl:text>
  </xsl:template>

  <xsl:template match="new">
    <b>What's New</b>
    <ol>
      <xsl:apply-templates select="feature"/>
    </ol>
  </xsl:template>

  <xsl:template match="bugs">
    <b>Bugs Fixed</b>
    <ol>
      <xsl:apply-templates select="bug"/>
    </ol>
  </xsl:template>

  <xsl:template match="projectdir" name="projectdir">
    <xsl:value-of select="String:toLowerCase(String:new(/project/name))" xmlns:String="xalan://java.lang.String"/>
    <xsl:value-of select="/project/version[position()=1]/version"/><xsl:text>.</xsl:text><xsl:value-of select="/project/version[position()=1]/release"/>
  </xsl:template>

  <xsl:template match="projectnamelowercase">
    <xsl:value-of select="String:toLowerCase(String:new(/project/name))" xmlns:String="xalan://java.lang.String"/>
  </xsl:template>

  <xsl:template match="link">
    <xsl:text disable-output-escaping="yes">&lt;a href="</xsl:text>
    <xsl:if test="@type!=''"><xsl:value-of select="@type"/>:</xsl:if>
    <xsl:value-of select="."/>
    <xsl:if test="@id!=''">
      <xsl:variable name="currentid"><xsl:value-of select="@id"/></xsl:variable>
      <xsl:apply-templates select="//*[@id=$currentid]" mode="link"/>
    </xsl:if>
    <xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
    <xsl:choose>
      <xsl:when test="@text!=''">
        <xsl:value-of select="@text"/>
      </xsl:when>
      <xsl:when test="@id!=''">
        <xsl:variable name="currentid"><xsl:value-of select="@id"/></xsl:variable>
        <xsl:apply-templates select="//*[@id=$currentid and @name!='']" mode="linktext"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="."/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
  </xsl:template>

  <xsl:template match="link" mode="links">
    <dt><a>
        <xsl:attribute name="href"><xsl:value-of select="url"/></xsl:attribute>
        <xsl:value-of select="name"/>
      </a>
    </dt>
    <dd>
      <xsl:value-of select="description"/>
      <xsl:text> [</xsl:text><xsl:value-of select="date"/><xsl:text>]</xsl:text>
    </dd>
  </xsl:template>

</xsl:stylesheet>
